#!/usr/bin/env node
(function(){
  var optimist, argv, fs, sys, pwilang, files, i, f, file, data, _i, _len;
  optimist = require("optimist").usage("Transform a pwilang formatted file or stdin to HTML/XML\nUsage: $0 [options] file\n       $0 [options]").boolean("help").alias("help", "h").describe("help", "Show this help");
  argv = optimist.argv;
  fs = require("fs");
  sys = require("sys");
  pwilang = require("./pwilang");
  if (argv.help) {
    console.log(optimist.help());
    process.exit(0);
  }
  if (argv._.length == 1) {
    files = process.argv.slice(2);
    i = 0;
    f = null;
    for (_i = 0, _len = files.length; _i < _len; ++_i) {
      file = files[_i];
      fs.readFile(file, 'utf-8', function(err, data){
        var res;
        if (err) {
          return console.warn(err.message);
        } else {
          res = pwilang.parse(data);
          return sys.print(res);
        }
      });
    }
  } else {
    process.stdin.resume();
    process.stdin.setEncoding("utf-8");
    data = "";
    process.stdin.on("data", function(chunk){
      return data += chunk;
    });
    process.stdin.on("end", function(){
      return sys.print(pwilang.parse(data));
    });
  }
}).call(this);
